## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanUTF8Writer.hpp File Reference

Include dependency graph for XalanUTF8Writer.hpp:

Go to the source code of this file.

## Compounds

- class XalanUTF8Writer

## Defines

- #define XALANUTF8WRITER_HEADER_GUARD_1357924680

## Functions

- XALAN_CPP_NAMESPACE_BEGIN char bits19to21 (unsigned int theChar)
- char bits13to18 (unsigned int theChar)
- char bits13to16 (unsigned int theChar)
- char bits7to12 (unsigned int theChar)
- char bits7to11 (unsigned int theChar)
- char bits1to6 (unsigned int theChar)
- char leadingByteOf2 (char theBits)
- char leadingByteOf3 (char theBits)
- char leadingByteOf4 (char theBits)
- char trailingByte (char theBits)

## Define Documentation

#define XALANUTF8WRITER_HEADER_GUARD_1357924680

Value:

## Function Documentation

char bits13to16 ( | unsigned int theChar )

char bits13to18 ( | unsigned int theChar )

XALAN_CPP_NAMESPACE_BEGIN char bits19to21 ( | unsigned int theChar )

char bits1to6 ( | unsigned int theChar )

char bits7to11 ( | unsigned int theChar )

char bits7to12 ( | unsigned int theChar )

char leadingByteOf2 ( | char theBits )

char leadingByteOf3 ( | char theBits )

char leadingByteOf4 ( | char theBits )

char trailingByte ( | char theBits )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.